> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shadeform.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /sshkeys/{id}/delete

> Delete an ssh key. The Shadeform managed SSH Key, current default ssh key, and in use SSH Keys cannot be deleted.



## OpenAPI

````yaml post /sshkeys/{id}/delete
openapi: 3.0.0
info:
  description: >-
    Shadeform is a single API and platform for deploying and managing cloud
    GPUs.
  version: 1.0.0
  title: Shadeform API
  contact:
    name: Shadeform
    email: support@shadeform.ai
    url: https://www.shadeform.ai
servers:
  - description: Shadeform Production
    url: https://api.shadeform.ai/v1
security:
  - ApiKeyAuth: []
paths:
  /sshkeys/{id}/delete:
    parameters:
      - in: path
        name: id
        required: true
        example: d290f1ee-6c54-4b01-90e6-d701748f0851
        schema:
          type: string
          minimum: 1
        description: The ssh key id
    post:
      summary: /sshkeys/{id}/delete
      description: >-
        Delete an ssh key. The Shadeform managed SSH Key, current default ssh
        key, and in use SSH Keys cannot be deleted.
      operationId: SshKeysDelete
      responses:
        '200':
          description: Confirms the deletion of an ssh key.
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````